---
title: 'Membership'
date: 2021-07-17
type: join
layout: single

intro: 
  subtitle: Welcome to the era of Open Computing!
  intro:
    - The OpenPOWER Foundation is a non-profit organization supporting the free and open RISC instruction set architecture and extensions. We enable open community collaboration, technology advancements in the OpenPOWER ecosystem, and visibility of OpenPOWER successes.
    - Join us and see how open technical collaboration along with the support of many OpenPOWER programs can help drive your business forward.
  teaser:
     title: Why Join?
  options:
    - Accelerate technical development of your own POWER based products
    - Contribute technical resource, best practices, and code to help guide and influence OpenPOWER deliverables
    - Increase visibility as OpenPOWER amplifies member success across the industry
    - Build a partner network as an active member within the OpenPOWER community
    - Showcase your OpenPOWER products, services, training, and resources on OpenPOWER Ready


membership-levels:
  title: Membership Levels
  subtitle: The OpenPOWER Foundation is a 501c6 not-for-profit entity with a Board of Directors and a Technical Steering Committee.
  text: OpenPOWER offers a tiered membership of Platinum, Gold, Silver, and Associate/Academic memberships
  options:  
    - option: Membership levels provide either a default Board of Director position (Platinum) or an opportunity to be elected to the Board (Gold, Silver, and Associate/Academic members). The Bylaws detail additional governance by the Board including maximum seats, terms, etc.
    - option: The Technical Steering Committee is formed from the Work Group Leads from the core projects and one representative designated by each Platinum member.
  features:
    - feature: Annual fee and dedicated full-time equivalent (FTEs) – verification of committed number of FTEs on honor system
    - feature: Contributors, committers, Work Group leads and project leads influence Technical Steering Committee
    - feature: Associate/Academic level is not available to corporations
  image-table: 
        image: thumb-8.jpg
        alt: Membership Levels Table

membership-benefits:
   title: Membership Benefits 
   image-table: 
        image: thumb-9.jpg
        alt: Membership Benefits Table

become-member:
  title: Become a Member
  options: 
   - 
     title: Individual membership
     text: Individual membership
     cta_url: 'https://enrollment.lfx.linuxfoundation.org/?individual&project=openpowerfoundation'
     cta_text: Join
     image: thumb-7.jpg

   - 
     title: Corporate membership
     text: Corporate membership
     cta_url: 'https://enrollment.lfx.linuxfoundation.org/?project=openpowerfoundation'
     cta_text: Join
     image: thumb-7-1.jpg
 
draft: false
---


| Membership Level     | Annual Fee | Technical Steering Committee    | Board of Directors                                               |
|----------------------|------------|---------------------------------|------------------------------------------------------------------|
| Platinum             | $100k      | 1 voting participant per member | 1 voting participant per member                                  |
| Gold                 | $60k       | If a WG lead                    | 1 elected voting participant per three gold member level         |
| Silver               | $20k       | If a WG lead                    | 1 elected voting participant for all silver members              |
| Associate / Academic | $0         | If a WG lead                    | 1 elected non-voting observer for all associate/acedemic members |

