---
title: "PVIPR Compliance Specification"
tags:
  - pvipr
date: 2021-03-22
draft: false
---

This document provides requirements for a compiler to demonstrate compliance with the Power Vector Intrinsics Programming Reference, version 1.0.  

This document is a Standard Track, Workgroup Specification work product owned by the Compliance Workgroup
and handled in compliance with the requirements outlined in the OpenPOWER Foundation Work Group (WG) Process document.
Comments, questions, etc. can be submitted to the public mailing list for the parent specification at
<openpower-pvipr-thts@mailinglist.openpowerfoundation.org>.  

The input to this specification is the following specification which describes the vector intrinsics expected to be provided
by compilers targeting PowerISA 2.07 and 3.0B or later, as implemented on POWER8 and POWER9 systems.  

Power Vector Intrinsics Programming Reference (PVIPR) which is published on the resource catalog:
https://openpowerfoundation.org/?resource_lib=power-vector-intrinsic-programming-reference

The PVIPR document is organized into the following chapters:
1. Introduction to Vector Programming on Power
2. The Power Bi-Endian Vector Programming Model
3. Vector Programming Techniques
4. Vector Intrinsic Reference
5. Instruction/Intrinsic Cross-Reference
